# $Revision: 1.33 $, $Date: 2012/01/21 19:26:36 $
%define		_snap	20080813
Summary:	Enlightenment Database Access Library
Summary(pl.UTF-8):	Biblioteka Enlightementa dostępu do baz danych
Name:		edb
Version:	1.0.5.043
Release:	0.%{_snap}.3
License:	BSD
Group:		Libraries
Source0:	%{name}-%{version}-%{_snap}.tar.bz2
# Source0-md5:	e5d58d14f0333b2b292a23153cee8da3
URL:		http://enlightenment.org/Libraries/Edb/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
# only for configure
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Edb is a simple, clean high-level db access/storage library.

%description -l pl.UTF-8
Edb jest prostą biblioteką wysokiego poziomu umożliwiającą
dostęp/zapisywanie danych w bazach.

%package devel
Summary:	Header files and libraries for edb development
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja dla edb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and documentation needed for developing edb programs.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja umożliwiające rozwijanie programów
korzystających z biblioteki edb.

%package static
Summary:	Static version of edb library
Summary(pl.UTF-8):	Statyczna wersja biblioteki edb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of edb library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki edb.

%package gtk
Summary:	GTK+ editor of databases
Summary(pl.UTF-8):	Edytor baz oparty na GTK+
Group:		X11/Applications

%description gtk
GTK+ editor of databases.

%description gtk -l pl.UTF-8
Edytor baz danych oparty na GTK+.

%prep
%setup -q -n %{name}-%{version}-%{_snap}

%build
CFLAGS="%{rpmcflags} -I%{_includedir}/ncurses"; export CFLAGS
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk \
	--enable-ncurses

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-PLAIN README
%attr(755,root,root) %{_bindir}/edb_ed
%attr(755,root,root) %{_bindir}/edb_vt_ed
%attr(755,root,root) %{_libdir}/libedb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libedb.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libedb.so
%{_libdir}/libedb.la
%{_includedir}/Edb.h
%{_pkgconfigdir}/edb.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libedb.a

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/edb_gtk_ed

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: edb.spec,v $
Revision 1.33  2012/01/21 19:26:36  zbyniu
- rel .3

Revision 1.32  2011/09/25 17:37:44  arekm
- rel .2

Revision 1.31  2008/08/25 16:37:21  pablo
- updated to 20080813 snap

Revision 1.30  2008/06/03 16:47:59  qboosh
- ghost soname symlink
- updated ac/am BRs

Revision 1.29  2008-06-01 14:07:52  cactus
- up to 1.0.5.042
- rel 1

Revision 1.28  2007-11-08 22:32:31  twittner
- rel. 2

Revision 1.27  2007/09/08 22:04:11  qboosh
- more verbose files, deps cleanup

Revision 1.26  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.24  2006/04/17 23:06:31  sparky
- BR zlib-devel

Revision 1.23  2006/04/17 21:24:49  sparky
- merged from DEVEL

Revision 1.21.2.7  2006/03/31 14:49:37  sparky
- up to 1.0.5.007

Revision 1.21.2.6  2006/03/17 19:29:42  sparky
- up to 1.0.5.006

Revision 1.21.2.5  2006/01/14 17:38:13  sparky
- up to 1.0.5.005

Revision 1.21.2.4  2005/08/25 11:51:57  charles
- proper URL

Revision 1.21.2.3  2005/08/24 18:19:40  charles
- updated to 1.0.5.004
- new Source0 ("official" snapshots)
- updated -ac_fix.patch

Revision 1.21.2.2  2005/07/09 13:03:42  sparky
- new snapshot
- correct license
- status: builds, works stable

Revision 1.21.2.1  2005/03/30 22:03:27  sparky
- updated to 20050309 snap

Revision 1.21  2004/10/28 09:58:30  paladine
- "GTK+" unification (hope thats all)

Revision 1.20  2004/10/27 22:17:12  qboosh
- updated to 1.0.5, updated ac_fix patch

Revision 1.19  2003/10/03 09:47:37  qboosh
- killed _x11bindir

Revision 1.18  2003/08/28 08:20:30  ankry
- cosmetics

Revision 1.17  2003/05/28 12:58:53  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:47:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/02/25 12:13:29  qboosh
- working Source URL

Revision 1.14  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.13  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/08/10 09:28:17  kloczek
- updated to 1.0.3,
- use new %doc.

Revision 1.11  2002/08/09 16:07:22  wiget
- fix for autoconf 2.53

Revision 1.10  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.9  2002/05/21 23:12:58  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/04/25 16:14:17  arturs
fixed a small typo

Revision 1.7  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/19 18:53:33  gotar
- %desc

Revision 1.4  2002/02/03 20:44:01  ankry
- adding es/pt/pt_BR Group translations

Revision 1.3  2002/01/18 02:12:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/09/05 20:24:48  kloczek
- spec adapterized and few cosmetics.

Revision 1.1  2001/05/01 08:00:24  misiek
Enlightenment Database Access Library - initial pld release
